| Haskell Hierarchical Libraries (base package) | Source code | Contents | Index

Text.Read.Lex

Portability | non-portable (uses Text.ParserCombinators.ReadP)
Stability | provisional
Maintainer | libraries@haskell.org

Description
The cut-down Haskell lexer, used by Text.Read
Synopsis

data Lexeme

= Char Char
| String String
| Punc String
| Ident String
| Symbol String
| Int Integer
| Rat Rational
| EOF

lex :: ReadP Lexeme
hsLex :: ReadP String
lexChar :: ReadP Char
readIntP :: Num a => a -> (Char -> Bool) -> (Char -> Int) -> ReadP a
readOctP :: Num a => ReadP a
readDecP :: Num a => ReadP a
readHexP :: Num a => ReadP a

Documentation
data Lexeme

Haskell lexemes.
Constructors

Char Char | Character literal
String String | String literal, with escapes interpreted
Punc String | Punctuation or reserved symbol, e.g. `(`, `::`
Ident String | Haskell identifier, e.g. `foo`, `Baz`
Symbol String | Haskell symbol, e.g. `>>`, `:%`
Int Integer | Integer literal
Rat Rational | Floating point literal
EOF |

Instances

Eq Lexeme
Read Lexeme
Show Lexeme

lex :: ReadP Lexeme
hsLex :: ReadP String
Haskell lexer: returns the lexed string, rather than the lexeme
lexChar :: ReadP Char
readIntP :: Num a => a -> (Char -> Bool) -> (Char -> Int) -> ReadP a
readOctP :: Num a => ReadP a
readDecP :: Num a => ReadP a
readHexP :: Num a => ReadP a
Produced by Haddock version 0.8